import React from "react";
import Tile from "../shared/Tile";
import useHealthPolling from "../../hooks/useHealthPolling";

const gogsUrl = "https://kirkleon.ddns.net/gogs/";
const update = 1000 * 60 * 20;

export default () => {
  const health = useHealthPolling(gogsUrl, { ms: update })

  return <Tile
    link={gogsUrl}
    title="Gogs"
    health={health}
  />
}
