import React from "react";
import { OK } from "../shared/StatusMessage";
import Tile from "../shared/Tile";
import useApi from "../../hooks/useApi";

export default () => {
  const [health, data] = useApi("https://kirkleon.ddns.net/teamspeak/api");

  return <Tile
    link="https://kirkleon.ddns.net/teamspeak/"
    title="Teamspeak Server"
    health={health}
    data={health === OK ? `${data.users.length} user(s) online` : null}
  />
}
